<?php
	
	require_once("config.php");
	
	$codproduto = $_GET["codproduto"];
	
	$query = ibase_query($conexao, "select foto from produtos where codproduto = '".$codproduto."'");
	$row = ibase_fetch_row($query);
	$foto = file_get_contents($row[0]);
	$foto_base64 = base64_encode($foto);
	
	$obj = new stdClass();
	$obj->imagem = $foto_base64;
	
	$array = array();
	$array[] = $obj; 
	echo json_encode($array);
	
	/*
	
	// pega o endereço do diretório aonde o arquivo está inserido
	$diretorio = getcwd();
	
	// entra no diretório das imagens dos produtos
	chdir("produtos");
	$diretorio = getcwd();
	// verifica o parâmetro codproduto
	if(isset($codproduto)){
		$diretorio_img = $diretorio."\\".$codproduto;
		// caso haja o parâmetro codproduto, entra no diretório para listar os arquivos
		if(!file_exists($diretorio_img)){
			//Criando pasta do Produto caso a mesma não exista
			mkdir($diretorio_img, 0700);
		}
		
		if(chdir($codproduto)){
			$diretorio = getcwd();		
		}
	};
	
	// abre o diretório
	$ponteiro = opendir($diretorio);
	// monta os vetores com os itens encontrados na pasta
	while($nome_itens = readdir($ponteiro)){
		$itens[] = $nome_itens;
	}
	
	// ordena os itens
	sort($itens);
	foreach($itens as $listar){
		// retira "./" e "../" para uqe retorne apenas pastas e arquivos
		if($listar != "." && $listar != ".."){			
			// verifica se é um diretório
			if(is_dir($listar)){
				// em caso positivo adiciona o item a variável pastas				
				$pastas[] = array("pasta" => $listar);
			} else {
				// caso FALSO adiciona o item a variável de arquivos
				$arquivos[] = array("imagem" => $listar);
			}
		}
	}
	
	// verifica se a variável está definida e não é nula
	if(isset($arquivos)){
		// transforma o vetor em JSON
		$json_arquivos = json_encode($arquivos);
		echo $json_arquivos;
	}*/
?>